# KiBot output for generating Bill of Materials in CSV format for JLCPCB
# https://kibot.readthedocs.io/en/latest/configuration/outputs/bom.html

kibot:
  version: 1

outputs:
- name: @NAME@
  comment: '@COMMENT@'
  type: bom
  category: '@DIR@'
  dir: '@DIR@'
  options:
    exclude_filter: @EXCLUDE_FILTER@
    format: CSV
    csv:
      hide_pcb_info: true
      hide_stats_info: true
      quote_all: true
    columns:
      - field: Value
        name: Comment
      - field: References
        name: Designator
      - Footprint
      - field: _field_lcsc_part
        name: 'LCSC Part #'
    ref_separator: ','

...
definitions:
  NAME: jlcpcb_bom
  COMMENT: Bill of Materials for JLCPCB
  DIR: mfg/assembly/jlcpcb
  EXCLUDE_FILTER: only_lcsc_parts
